<div class="overlay" (click)="closeModal()"></div>
<div class="wrapper wall" (dragenter)="dragEnter()" (dragleave)="dragLeave()" (dragover)="dragOver($event)" (drop)="onDrop($event)">

  <div class="row header" #header>
    <div class="col-auto">
      <div style="padding: 0.7rem; line-height: 2.5rem; color: #f5f5f5;">
        {{ 'dropzone-images.help' | translate }}
      </div>
    </div>
    <div class="col"></div>
    <div class="col-auto">
      <label class="btn btn-sm btn-success" for="upload-button">
        {{ 'dropzone-images.upload-button' | translate }}
        <input id="upload-button" name="images" type="file" (change)="inputChange($event)" accept="image/jpeg" multiple>
      </label>
    </div>
    <!--<div class="col-md-auto">-->
      <!--<input class="search-input small text-center" type="text" (keyup)="search.pass($event, 'imagesList')" placeholder="{{ 'search' | translate }}">-->
    <!--</div>-->
    <div class="col-auto">
      <button type="button" class="btn btn-sm btn-danger" (click)="closeModal()">{{ 'close' | translate }}</button>
    </div>
    <div class="col-12">
      <pagination [totalRecords]="totalPages * 9" [recordsPerPage]="9" (onPageChange)="getImages($event)"></pagination>
    </div>
  </div>

  <div class="row justify-content-center align-items-start align-content-start dzcontent" [style.top]="contentTop" [ngClass]="{ 'drag-over': dragOvered, 'illegal-file': illegalFile }">
    <div class="col-auto pb" *ngFor="let image of images">
      <div class="dropzone-image-item" [ngClass]="{ 'selected': isSelected(image) }">
        <span class="item-name" [title]="image.original_name">{{ image.original_name }}</span>
        <img class="item-image" [src]="'/api/media/'+image.path" [alt]="image.original_name" (click)="toggleSelect(image)">
        <div class="item-tools">
          <!-- <div class="icon icon-search view-item" title="{{ 'dropzone-images.view-image' | translate }}"></div> -->
          <div class="icon fa fa-trash delete-item" (click)="deleteImage(image)" title="{{ 'dropzone-images.delete-image' | translate }}"></div>
        </div>
      </div>
    </div>
    <div class="col-lg-12"></div>
    <div class="col-lg-12"></div>

  </div>
</div>
